<!DOCTYPE html>
<html lang="ru">
    <head>
      <meta charset="utf-8">
      <title>Первая страница</title>
      <link href="style.css" rel="stylesheet">
    </head>
    <body>
      <header id = "headerid">
        <div class = "headerblock">
        <img class = "headerimg" src="image.png" alt="Описание картинки для скрин-ридеров и поисковиков" />
        <h1 class="headerheader"> Первый сайт</h1>
        <!--Сделано два блока, чтобы картинка и заголовок были посередине и при этом текст обтекал картинку-->
       </div>
      </header>
    <a id = "top"></a>
    <div class = "mainstyle"><nav class = "aligner"> <div class = "navblock"><a href="http://example.com/">Ссылка1</a></div>  <div class = "navblock"><a href="http://example.com/">Ссылка2</a></div>   <div class = "navblock"><a href="http://example.com/">Ссылка3</a></div></nav></div>
<div class = "flex">
    <div class = "list"><ol>   
        <li><a href="http://example.com/">Ссылка1 (http)</a></li>   
        <li><a href="https://example.com/">Ссылка2 (https)</a></li>  
        <li><a href="ftp://speedtest.tele2.net/512KB.zip">Ссылка3 (ftp без авторизации)</a></li>
        <li><a href="ftp://user:pass123@example.com/example.txt">Ссылка4 (ftp с авторизацией)</a></li>
        <li><a href="https://ozon.ru/#header">Ссылка5(наверх на другой странице)</a></li> 
        <li><a href="#top">Ссылка6(наверх)</a></li>
        <li><a href="https://www.ozon.ru/category/elektronika-15500/?from_global=true&text=raspberry+pi+3">Сcылка7 (два параметра)</a></li>
        <!--Первый параметр: from_global, второй: text-->
        <li> 
          <ol> 
          <li><a href="https://www.ozon.ru/" title="Переход на сторонний ресурс">Главная</a> </li><li> <a href="https://www.ozon.ru/referral/?perehod=header"  title="ayaya">Реферальная программа</a> </li>
            <li><a href="https://docs.ozon.ru/common/" title="yappy!">Помощь</a></li>
          </ol>
        </li>
        <li><a>Ссылка9 (без href)</a></li>
        <li><a href="">Ссылка10 (пустой href)</a></li>
        <li><a href="https://www.ozon.ru/" rel="nofollow">Ссылка11 (запрещен переход поисковикам) </a></li>
        <li><a href="https://www.ozon.ru/" rel="noindex">Ссылка12 (запрещена индексация) </a></li>
        <li>Lorem Ipsum - это текст-"рыба", часто используемый в печати и вэб-дизайне. <br>
        <a href="https://ru.lipsum.com/" >Lorem Ipsum</a> является стандартной "рыбой" для текстов на латинице с начала XVI века. 
        В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. 
        Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. </li>
        <li><a href="https://www.ozon.ru/category/elektronika-15500/?from_global=true&text=raspberry+pi+3"><img src="https://hackaday.com/wp-content/uploads/2019/03/googletpu.png?w=800"  alt="ha-ha" class = "minwgh" ></a></li>
        <li><img src="http://igrushka.kz/vip58/list4.gif" alt="he-he" usemap="#somemap" class="minwgh">
            <map name="somemap">
              <area shape="rect" coords="210,22,355,163" alt="Квадрат" href="https://www.google.com/search?q=%D0%BF%D1%80%D1%8F%D0%BC%D0%BE%D1%83%D0%B3%D0%BE%D0%BB%D1%8C%D0%BD%D0%B8%D0%BA">
              <area shape="circle" coords="84,100,78" alt="Круг" href="https://www.google.com/search?q=%D0%BA%D1%80%D1%83%D0%B3">
            </map></li>
        <li><a href="newindex.html">Ссылка16</a></li>
        <li><a href="about/newindex.html">Ссылка17</a></li>
        <li><a href="../newindex.html">Ссылка18</a></li>
        <li><a href="../../newindex.html">Ссылка19</a></li>
        <li><a href="/">Ссылка20</a></li>
        <li><a href="/about/index.html">Ссылка21</a></li>
    </ol> 
    </div>

    <div class = "table">
      <div class = "mainstyle">
    <table>
      <tr>
        <th>Колонка 1</th>
        <th>Колонка 2</th>
        <th>Колонка 3</th>
      </tr>
      <tr class = "table1">
        <td rowspan="3">Ячейка 11</td>
        <td rowspan="3">Ячейка 12</td>
        <td>Ячейка 13</td>
      </tr>
      <tr class = "table2">
        <td>Ячейка 23</td>
      </tr>
      <tr class = "table1">
        <td>Ячейка 33</td>
      </tr>
      <tr class = "table2">
        <td>Ячейка 41</td>
        <td>Ячейка 42</td>
        <td>Ячейка 43</td>
      </tr>
      <tr class = "table1">
        <td colspan ="2">Ячейка 51</td>
        <td>Ячейка 53</td>
      </tr>
    </table>
    </div>
    </div>
<div class = "form">
    <div class = "mainstyle">
      <form action="URL_отправки_данных"
    method="POST">
    <label>
      Имя:<br>
      <input name="field-name-1"/>
    </label><br />
    <label>
      Email:<br />
      <input name="field-email"
        value="sample@example.com"
        type="email" />
    </label><br />
    <label>
      Дата рождения:<br />
      <input name="field-date" type="date" value="2020-09-07"/>
    </label><br />
    Пол:<br />
    <label><input type="radio" checked="checked"
      name="radio-group-1" value="Знач1" />
      М</label>
    <label><input type="radio"
      name="radio-group-1" value="Знач2" />
      Ж</label><br />
    Количество конечностей:<br />
    <label><input type="radio" checked="checked"
      name="radio-group-2" value="Знач1" />
      1</label>
    <label><input type="radio"
      name="radio-group-2" value="Знач2" />
      2</label><br />
      <label><input type="radio"
      name="radio-group-2" value="Знач3" />
      3</label><br />
      <label><input type="radio"
      name="radio-group-2" value="Знач4" />
      4</label><br />
    <label>
        Способности:
        <br />
        <select name="field-name-4[]"
          multiple="multiple">
          <option value="Значение1">Бессмертие</option>
          <option value="Значение2">Прохождение сквозь стены</option>
          <option value="Значение3">Левитация</option>
        </select>
    </label><br />
    <label>
      Биография:<br />
      <textarea name="field-name-2"></textarea>
    </label><br />
    <label><input type="checkbox"
      name="check-1" />
      С контрактом ознакомлен</label><br />
    <input type="submit" value="Отправить" />
  </form> 
  </div>
  </div>
  </div>

  <footer>somebody was told me (c) 2020</footer>
    </body>
</html>